package com.ynet.life.cache.coherence;

import com.tangosol.net.CacheFactory;
import com.tangosol.net.Cluster;
import com.tangosol.net.NamedCache;
import com.ynet.life.cache.Cache;

/* loaded from: com_ynet_life_cache_coherence.jar:com/ynet/life/cache/coherence/CoherenceCache.class */
public class CoherenceCache implements Cache {
    private String cacheName;
    private static NamedCache namedCache = null;

    public CoherenceCache() {
        this.cacheName = null;
    }

    public CoherenceCache(String name) {
        this.cacheName = null;
        if (namedCache != null) {
            this.cacheName = namedCache.getCacheName();
        }
        if (namedCache == null || !this.cacheName.equals(name)) {
            namedCache = LifeCoherenceService.getNamedCache(name);
        }
    }

    public void put(Object key, Object obj) {
        namedCache.put(key, obj);
    }

    public void remove(Object key) {
        namedCache.remove(key);
    }

    public Object get(Object key) {
        return namedCache.get(key);
    }

    public String getCacheName() {
        return namedCache.getCacheName();
    }

    public boolean isConnServer() {
        boolean success;
        if (CacheFactory.ensureCluster() instanceof Cluster) {
            success = true;
        } else {
            success = false;
        }
        return success;
    }

    public void clear() {
    }

    public void configure(int size) {
    }
}
